Itoo Software Forum

Author Topic: upgrade infos  (Read 621 times)

zeronove

  • Newbie
  • *
  • Posts: 6
upgrade infos
« on: December 11, 2016, 01:15:18 PM »
My subs expired some time ago, do I new to renew them to use FP and RC with max 2015 and vray 3.4?
I mean, even if FP and RC new features are not required for my needs, the only option is to upgrade to have them working in new release of max and VRay?
Sorry for the dumb question but I used them only few times so I'm not really aware about licence terms.
Thanks in advance

Michal Karmazín

  • iToo Software
  • Hero Member
  • *****
  • Posts: 1547
Re: upgrade infos
« Reply #1 on: December 12, 2016, 10:15:52 AM »
Hi,

The support for V-Ray 3.4 (& 3ds max 2017) was added in the Forest Pack Pro v5.1.0 / RailClone Pro 2.7.0 released on Jul 11, 2016 and as I can see, the subscription plan for your licenses expired before that date (specifically on Dec 01, 2015), therefore let me attach some additional information regarding our subscription plan:

Your licenses will never expire and you can continue using our products forever. Just once your subscription plan expires, you are not able to upgrade to versions published after the subscription end date, but you still can use Forest Pack Pro / RailClone Pro versions released before that date.

Don't feel obliged to update immediately your subscription plan expire - if you'll be not using any new features and improvements there is no need to renew the subscription plan, as your "actual" version will remain working. Only if wanted, you can renew your subscription (at any time) and get access to latest upgrades.

Please feel free to check FP's Release Notes / RC's Release Notes , where you can find all new features, improvements and bugs fixed since you've acquired it.

The usual way to renew the subscription plan for licenses is from the Licenses - Renew Subscription section of the User Panel.

Best regards,

zeronove

  • Newbie
  • *
  • Posts: 6
Re: upgrade infos
« Reply #2 on: December 12, 2016, 02:48:55 PM »
Hi  Michal,

thanks for your answer, btw I just realized I gave you wrong infos, sorry ...let me reprhase my post.

I'm actually still running Max 2016 VRay 3.2 FP 4.4.1 RC 2.5.0 ...everything works fine and I'm satisified with those features of yours plugins
Now, as I'm forced to be on maintenence subs with adsk :( and new release of VRay are available, I'm planning to install them both (max 2017 and vray 3.4) so I'm double checking the compatibility with other plugins I have.

From your reply I understand FP 4.4.1 and RC 2.5.0 (my actual versions) are not available for max 2017 and vray 3.4 because compatibility with hosting sw is managed only with upgraded versions of your plugins (subscription renewal) ...is there no difference between upgrade only for compatibility issue and upgrade for real need of FP or RC new features and improvements?  ...am I right?

Thanks in advance

Best regards

Michal Karmazín

  • iToo Software
  • Hero Member
  • *****
  • Posts: 1547
Re: upgrade infos
« Reply #3 on: December 12, 2016, 03:33:24 PM »
Hi,

Yes, to be able to run our plug-ins on 3ds max 2017 & V-Ray 3.4, you'll need to upgrade and you would be charged the usual Renew Subscription fee (we truly believe the software is "value for money" enough and the renewal pricing is set to really reasonable amount).

Let me add, that you can renew your subscription at any time to get access to latest upgrades - the "active" subscription plan period would start from the day, when the renewal will be purchased - the new subscription end date will be calculated from that day (day of renewal purchase + 1 Year / 3 Years).

Having the subscription plan Active, gives you not just access to latest releases or beta versions, but also premium technical support and prioritized incident management, including first response to your issues within 1 business day, and usually much faster than that and special subscriber-only promotions and discounts.

Best regards,